YANG的LSP和vscode插件配置

本文最后更新于:2022年8月26日 晚上

本文很简单, 主要mark一下插件仓库地址和配置方式

什么是YANG

RFC7950-原版

RFC7950-YANG 1.1 数据建模语言 (中译)

yangster vscode插件安装

github仓库: https://github.com/theia-ide/yang-vscode

对应的lsp仓库: https://github.com/theia-ide/yang-lsp

安装方式

安装vscode插件不需要下载对应的lsp-server了, 插件会自动下载最新的release版本

  1. 打开vscode插件搜索yangster
  2. 安装
  3. 安装JDK11, 配置JAVA_HOME环境变量
  4. 运行

解决JAVA多版本问题

我其他工程项目都用的JDK1.8, 这个LSP需要JDK >= 11才能使用

可以直接进入插件仓库, 找到: https://github.com/theia-ide/yang-vscode/bin

这里面放了两个插件初始化的脚本, linux用户修改yang-language-server, windows用户修改yang-langugae-server.bat

然后直接修改里面的JAVA_HOME环境变量为你为JAVA11配置的环境变量就行了, 比如我将JAVA11_HOME环境变量配置为jdk11的bin, 即修改

1
2
3
:findJavaFromJavaHome
set JAVA_HOME=%JAVA11_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

YANG的LSP和vscode插件配置
https://blog.roccoshi.top/posts/52780/
作者
RoccoShi
发布于
2022年8月22日
许可协议